%define name jsoncpp
%define version 0.5.0
%define release %mkrel 10
%define jsoncpp_major 0
%define libname %mklibname %name %{jsoncpp_major}
%define develname %mklibname -d %name

Name:       %name
Version:    %version
Release:    %release
Summary:    C++ JSON Library
License:    Public Domain
Group:      System/Libraries
Url:        http://jsoncpp.sourceforge.net/
Source0:    %{name}-%{version}.tar.gz
Patch0:     jsoncpp-autotools.patch

#To generate docs
BuildRequires: doxygen, graphviz

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization 
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.


%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
JsonCpp is a simple API to manipulate JSON value, handle serialization 
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.



%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}       
Provides:	jsoncpp-devel = %{version}-%{release}
Provides:	libjsoncpp-devel = %{version}-%{release}
Obsoletes:	jsoncpp-devel <= 0.5.0-5mdv2011.0

%description -n    %{develname}
Files for building applications with %{name} support.

%prep 
%setup -q -n jsoncpp-src-%version
%patch0 -p1 -b .autotools

# make sure doxyfile.in can be processed by autoconf
sed -i -e 's/%/@/g' doc/doxyfile.in

%build
aclocal
libtoolize --copy --force --install
automake -a -c --foreign
autoconf
touch INSTALL
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %buildroot

%files -n %libname
%defattr(-,root,root)
%doc README.txt 
%{_libdir}/libjsoncpp.so.%{jsoncpp_major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/libjsoncpp.so
%{_libdir}/libjsoncpp.la
%{_libdir}/libjsoncpp.a
%doc %{_docdir}/libjsoncpp/html





%changelog
* Wed Apr 20 2011 cjw <cjw> 0.5.0-10.mga1
+ Revision: 89275
- imported package jsoncpp


* Mon Apr 18 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.0-10
- patch0: use autotools instead of scons to fix shared libs
- add HTML documentation from doxygen

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-9mdv2011.0
+ Revision: 563704
- fix post

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-8mdv2011.0
+ Revision: 563691
- fix filename for .so file

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-7mdv2011.0
+ Revision: 563645
- add jsoncpp-devel and libjsoncpp-devel provides

* Fri Jul 30 2010 Stéphane Laurière <slauriere@mandriva.com> 0.5.0-6mdv2011.0
+ Revision: 563409
+ rebuild (emptylog)

* Thu Jul 29 2010 Stéphane Laurière <slauriere@mandriva.com> 0.5.0-5mdv2011.0
+ Revision: 563220
- updated group and file attributes
- first release, based on Caixa M?\195?\161gica's jsoncpp

